/*
 * Querydsl query type
 *
 *
 */
package de.ivu.elect.business.personenpruefung.entity;

import static com.querydsl.core.types.PathMetadataFactory.*;

import com.querydsl.core.types.Path;
import com.querydsl.core.types.PathMetadata;
import com.querydsl.core.types.dsl.EntityPathBase;
import com.querydsl.core.types.dsl.NumberPath;
import com.querydsl.core.types.dsl.StringPath;
import com.querydsl.core.types.dsl.EnumPath;
import com.querydsl.core.types.dsl.DateTimePath;
import com.querydsl.core.types.dsl.SetPath;
import com.querydsl.core.types.dsl.BooleanPath;
import com.querydsl.core.types.dsl.PathInits;

@javax.enterprise.inject.Vetoed
@javax.annotation.Generated("de.ivu.takatuka")
public class QExternerAbgleich extends EntityPathBase<ExternerAbgleich> {

  private static final long serialVersionUID = -1;

  // Wird benötigt zur Initialisierung der Entitäten. Verhindert Schleifen, initialisiert standardmäßig aber nur direkte Referenzen, nicht mehrere Ebenen. Mehrere Ebenen müssen explizit angegeben werden.
  private static final PathInits INITS_SAFE = new PathInits("*"
	// Personendaten
, "personendaten.anschrift"
, "personendaten.customDataStorage"
, "personendaten.erreichbarkeitsanschrift"
, "personendaten.foto"
, "personendaten.kontoverbindung"
, "personendaten.wahltermin"
, "personendaten.wahl"
	// Wahlvorschlag
, "wahlvorschlag.gruppeImGebiet"
, "wahlvorschlag.wvpWahlvorschlagDaten"
);

  private static final PathInits INITS = de.ivu.elect.jee.entity.QueryDsl.DIREKT_4_EBENEN;

  public static final QExternerAbgleich externerAbgleich = new QExternerAbgleich("externerAbgleich");

  public final NumberPath<Long> id = createNumber("id", Long.class);

  public final DateTimePath abfrageZeitpunkt = createDateTime("abfrageZeitpunkt", java.sql.Timestamp.class);

  public final StringPath bemerkung = createString("bemerkung");

  public final StringPath beschreibung = createString("beschreibung");

  public final EnumPath<de.ivu.elect.business.personenpruefung.entity.ExternerAbgleichStatus> externerAbgleichStatus = createEnum("externerAbgleichStatus", de.ivu.elect.business.personenpruefung.entity.ExternerAbgleichStatus.class);


  // Beziehungen N:1 unidirektional

  public final de.ivu.elect.business.person.entity.QPersonendaten personendaten;

  public final de.ivu.elect.business.wahlvorschlag.entity.QWahlvorschlag wahlvorschlag;

  // Beziehungen N:1 bidirektional


  // Beziehungen 1:N bidirektional

  /**
   * Beziehungen N:M bidirektional nicht selbstreferenzierend
   */

  public QExternerAbgleich(Class<? extends ExternerAbgleich> type, PathMetadata metadata, PathInits inits) {
    super(type, metadata, inits);
    this.personendaten = inits.isInitialized("personendaten") ? new de.ivu.elect.business.person.entity.QPersonendaten(forProperty("personendaten"), inits.get("personendaten")) : null;// de.ivu.elect.business.person.entity.QPersonendaten.personendaten;
    this.wahlvorschlag = inits.isInitialized("wahlvorschlag") ? new de.ivu.elect.business.wahlvorschlag.entity.QWahlvorschlag(forProperty("wahlvorschlag"), inits.get("wahlvorschlag")) : null;// de.ivu.elect.business.wahlvorschlag.entity.QWahlvorschlag.wahlvorschlag;
  }

  public QExternerAbgleich(String variable) {
    this(ExternerAbgleich.class, forVariable(variable), INITS);
  }

  public QExternerAbgleich(Path<? extends ExternerAbgleich> path) {
    this(path.getType(), path.getMetadata(), path.getMetadata().isRoot() ? INITS : PathInits.DEFAULT);
  }

  public QExternerAbgleich(PathMetadata metadata) {
    this(metadata, metadata.isRoot() ? INITS : PathInits.DEFAULT);
  }

  public QExternerAbgleich(PathMetadata metadata, PathInits inits) {
    this(ExternerAbgleich.class, metadata, inits);
  }
}
